P4_TERMINAL_INPUT_LI(3)

NAME
p4_terminal_input_link - TERMINAL-INPUT-LINK ( -- sap#* )

SYNOPSIS

#include <pfe/main-k12.h>

FCode p4_terminal_input_link(---);

DESCRIPTION

let the forth stdin-handling look for data-messages on this link too. These will be interpreted like messages that come from the interactive forth terminal. This can be used in an embedded systems for a terminal session simulation. setting zero-sap will disable interpreting these incoming data-frames as keyboard-strings (so that the zero sap is therefore not usable for an input-link!). The startup default is zero.

      60 TERMINAL-INPUT-LINK !
      ...
      TERMINAL-INPUT-LINK OFF